Bug 446558 - Radeon PCI and Intel 82845G/GL chipset don't work at all in Xorg
Summary: Radeon PCI and Intel 82845G/GL chipset don't work at all in Xorg
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810
Version: 9
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-15 03:29 UTC by Joey Adams
Modified: 2018-04-11 18:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:40:49 UTC


Attachments (Terms of Use)
Attempt to use Intel 82845G/GL on Fedora 9 Xorg (22.57 KB, text/plain)
2008-05-15 03:29 UTC, Joey Adams
no flags Details
Here are the logs demonstrating Radeon 9250 PCI on F9 working in the installer, but not on the installed system. I also included the dmesg output from both systems in the tarball, thus making 4 total files. (24.00 KB, application/x-compressed-tar)
2008-05-17 06:04 UTC, Joey Adams
no flags Details
dmesg.broken from the attachment 305787 (21.03 KB, text/plain)
2008-05-19 15:49 UTC, Matěj Cepl
no flags Details
dmesg.working from the attachment 305787 (15.06 KB, text/plain)
2008-05-19 15:49 UTC, Matěj Cepl
no flags Details
X.log.working from the attachment 305787 (34.17 KB, text/plain)
2008-05-19 15:49 UTC, Matěj Cepl
no flags Details
Xorg.0.log.broken from the attachment 305787 (13.62 KB, text/plain)
2008-05-19 15:49 UTC, Matěj Cepl
no flags Details
Xorg working after manually adding BusID "2:9:0" to the "Device" section. (40.24 KB, text/plain)
2008-05-19 22:44 UTC, Joey Adams
no flags Details

Description Joey Adams 2008-05-15 03:29:26 UTC
Description of problem:
On my HP Pavilion 503n (circa 2002), Xorg broke in Fedora 9 leaving me unable to
use my Radeon 9250 PCI card (unless I modprobe radeonfb and set the Driver in
/etc/X11/xorg.conf to "fbdev", resulting in slow graphics) or my Intel 82845G/GL
integrated chipset (there's no workaround for this except VESA, which only
worked once).  In both cases, the "vesa" driver did not work either (same basic
problem).  X started fine with acceleration on Radeon within the installer CD,
but even with the same Xorg parameters and configuration file, it fails with the
following message in /var/log/Xorg.0.log:

(II) Primary Device is: 
(EE) No devices detected.

My xorg.conf is as follows:

# Xorg configuration created by system-config-display

Section "ServerLayout"
	Identifier     "single head configuration"
	Screen      0  "Screen0" 0 0
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "radeon"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
	EndSubSection
EndSection

The attached intel_log is the Xorg.0.log that occurred when I removed my Radeon
card and tried the Intel.  It's interesting because it includes a segfault.

Version-Release number of selected component (if applicable):
X.Org X Server 1.4.99.901 (1.5.0 RC 1)
//the version shipped with Fedora updates as of the time of writing

How reproducible:
Most people do not seem to have this problem, but most people have computers
from years 2005+.  My case seems isolated, but the problem recurs consistently.
 I tried loading a bunch of modules and removing a bunch, but the error is still
there.

Steps to Reproduce:
1.  Have an Intel Celeron-based computer with an Intel chipset near 82845G/GL.
2.  Install Fedora 9 to the hard disk, selecting all of the packages from all of
the categories EXCEPT choosing GNOME, XFCE, or Other Window Managers in the
Desktop Environments category.  Xen does not get installed in this process.
3.  Reboot under the new system.

Actual results:

Xorg seems either to not detect the video cards or it detects them and rejects
because there are two (both Radeon and Intel integrated).  When attempting to
use the Intel driver, the Direct Rendering Manager (DRM) seems to shut down
prematurely (based on the intel_log attached) resulting in a train wreck.

Expected results:

Xorg should choose the Radeon card when both integrated and PCI video cards are
present.  It should choose the Intel chipset when the Radeon is removed.  In
both cases, the resolution should default to 1280x1024 with depth of 24, and it
should be possible to VT switch afterwards (with testing the Intel card, it
sometimes locked up the system or prevented me from being able to see anything
until reboot).

Additional info:

I have a PCI TV Tuner attached, if that affects anything (see /sbin/lspci).

cat /proc/cpuinfo:

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 1
model name      : Intel(R) Celeron(R) CPU 1.70GHz
stepping        : 3
cpu MHz         : 1694.568
cache size      : 128 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm up pebs bts
bogomips        : 3392.13
clflush size    : 64

/sbin/lspci:

00:00.0 Host bridge: Intel Corporation 82845G/GL[Brookdale-G]/GE/PE DRAM
Controller/Host-Hub Interface (rev 01)
00:02.0 VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE
Chipset Integrated Graphics Device (rev 01)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #3 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI
Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 81)
00:1f.0 ISA bridge: Intel Corporation 82801DB/DBL (ICH4/ICH4-L) LPC Interface
Bridge (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801DB (ICH4) IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus
Controller (rev 01)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 01)
02:02.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
02:09.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200 PRO]
(rev 01)
02:09.1 Display controller: ATI Technologies Inc RV280 [Radeon 9200 PRO]
(Secondary) (rev 01)
02:0a.0 Multimedia video controller: Brooktree Corporation Bt878 Video Capture
(rev 02)
02:0a.1 Multimedia controller: Brooktree Corporation Bt878 Audio Capture (rev 02)
02:0b.0 Communication controller: Agere Systems LT WinModem (rev 02)

Comment 1 Joey Adams 2008-05-15 03:29:26 UTC
Created attachment 305434 [details]
Attempt to use Intel 82845G/GL on Fedora 9 Xorg

Comment 2 Matěj Cepl 2008-05-16 23:07:33 UTC
Could we get ATI Xorg.*.log as well, please (even if Xorg actually started
completely)?

Thank you.

Comment 3 Joey Adams 2008-05-17 06:04:52 UTC
Created attachment 305787 [details]
Here are the logs demonstrating Radeon 9250 PCI on F9 working in the installer, but not on the installed system.  I also included the dmesg output from both systems in the tarball, thus making 4 total files.

The .working files refer to what happens under the installer DVD, the .broken
files refer to what happens on the installed Fedora 9 system.

Comment 4 Dave Airlie 2008-05-19 03:00:46 UTC
as a test can you try adding BusID "2:9:0" to the xorg.conf Driver section?

I've no idea why we see multiple primary cards, really it should ignore the 845
unless you have intel in the conf file.


Comment 5 Matěj Cepl 2008-05-19 15:49:26 UTC
Created attachment 305967 [details]
dmesg.broken from the attachment 305787 [details]

Comment 6 Matěj Cepl 2008-05-19 15:49:34 UTC
Created attachment 305968 [details]
dmesg.working from the attachment 305787 [details]

Comment 7 Matěj Cepl 2008-05-19 15:49:44 UTC
Created attachment 305969 [details]
X.log.working from the attachment 305787 [details]

Comment 8 Matěj Cepl 2008-05-19 15:49:52 UTC
Created attachment 305970 [details]
Xorg.0.log.broken from the attachment 305787 [details]

Comment 9 Joey Adams 2008-05-19 22:44:45 UTC
Created attachment 306026 [details]
Xorg working after manually adding BusID "2:9:0" to the "Device" section.

Adding BusID "2:9:0" as you suggested did in fact work perfectly!  Woot!  If
you need me for any more testing, I'll still keep tabs on this bug until it is
resolved.

As a separate issue, direct rendering does not work unless I manually modprobe
radeon (the direct rendering module) and restart the X server.

Comment 10 Bug Zapper 2009-06-10 00:50:18 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Bug Zapper 2009-07-14 17:40:49 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.